#!/bin/bash

if [ `date +'%w'` -eq 0 ]; then
    WALG_DELTA_MAX_STEPS=0 # make full backup on Sunday
else
    WALG_DELTA_MAX_STEPS=100 # make diff backup on Monday..Saturday
fi

WALG_DELTA_MAX_STEPS=$WALG_DELTA_MAX_STEPS /usr/bin/wal-g $*
